/*
***************************************************************************
**              ROCKWELL CONFIDENTIAL AND PROPRIETARY
**        This source is the sole property of ROCKWELL Inc.
**    Reproduction or utilization of this source in whole or in 
**  part is forbidden without the written consent of ROCKWELL Inc.
***************************************************************************
**                 (c) Copyright ROCKWELL, INC. 1991
**                       All Rights Reserved
***************************************************************************
*/

/* 
** Last update:   
**	Last PVCS update: $Date:   12 Aug 1992 19:58:58  $ 
*/

/*
**	TITLE:		rawidata.c
**
**	FACILITY:
**
**	MODULE DESCRIPTION:
**
*/

/*
**
**	Revision History:
**
**		$Log:   D:/api_lib/rawdtapp.c_v  $
 * 
 *    Rev 1.0   12 Aug 1992 19:58:58   Robert Chen
 * Initial revision.
** 
**    Rev 1.4   17 Oct 1991 10:40:52   JIM
** Global update of T.30/T.4 API source for version 1.00.
** 
**    Rev 1.3   12 Sep 1991 11:18:14   JIM
** Global update of T.30/T.4 API source for version 0.22B.
** 
**    Rev 1.2   08 Aug 1991 18:47:20   JIM
** Update to facilitate single session DLL version of API.
** 
**    Rev 1.0   13 May 1991 09:49:50   JIM
** Initial Revision
** 
** 
*/
#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "zapi.h"
#include "fapi.h"
#include "vapi.h"
#include "rawglobl.h"
#include "rawvoice.h"
#include "raw.h"

// Global variables and initialization:

HANDLE   hInst;		     // Current instance.
HANDLE   hAccelMain;      // Accelerator table for main window.
HWND     hWndMain;        // Main I/O window used in testing.
BOOL     bAbortReq = FALSE;
char     szDefFileSrch[ DEFFSRCHMAX ]; 
int      DOSerrnum;
int      iOldComPort = -1;

char     szTmpStr[ TMPSTRMAX ];
char     szTmpStr0[ TMPSTRMAX * 2 ];
char     szTmpStr1[ TMPSTRMAX ];
char     szTmpStr2[ TMPSTRMAX ];
char     szTmpStr3[ TMPSTRMAX ];
char     szErrStr[ ERRSTRMAX ];

FAXMODEM FMDlg =   // FaxModem dialog data.
{
  SPKRCONNECT, // wSpkrStat
  0,           // wComPort 
  5120,        // wXmitBuf 
  5120,        // wRecvBuf 
  20000,       // wRecvTo  
  500,         // wFBThold
  TRUE,        // bManual
//  FALSE,     // bManual   
  TRUE,        // bfXonXoff
  FALSE        // bfRtsCts
};

XMITLIST XmitListDlg =
{
  "brooke.fax",          // szFileName
  TD_SPEEDBEST,          // iSpeed     
  TD_MEDIAHARD,          // iMedia
  TD_RESASIS,            // iResolution
  Def_wOpt_PageFill,     // iPageFill
  FALSE,                 // bfMerge    
  FALSE,                 // bfCover    
  0,                     // dummy
  Def_wOpt_Wrap,         // bfWrap   
  FALSE,                 // bfRAMFile
  0,                     // dummy
  Def_wOpt_PageLength,   // uPageLen
  Def_wOpt_Tab,          // uTabStop
  Def_wOpt_LeftMargin,   // uLeft   
  Def_wOpt_RightMargin,  // uRight  
  Def_wOpt_TopMargin,    // uTop    
  Def_wOpt_BottomMargin  // uBottom 
};

LOGENV LogEnvDlg = 
{
  ATCMLOGOUT | HDLCLOGOUT | WARNLOGOUT, // wLogOutStat
  TRUE,                                 // bScrlStat
  15000,                                // wScrlBuf  
  "wapimain.log",                       // szLogFileName
  TRUE                                  // bDiskStat 
};

FILENAME ReceiveDlg =
{
  "Fax Receive File Name",
  "freceive.fax"
};

FILENAME VAPlayDlg =
{
  "Voice Play File Name",
  "vreceive.rif"
};

FILENAME VARecordDlg =
{
  "Voice Record File Name",
  "vreceive.rif"
};

DIALSTR DialStrDlg =
{
  ""
};

SUBID SubIdDlg =
{
  "TX-MY TEST",
  "RX-MY TEST"
};

CONFIGFLAGS ConfigFlags =
{
  TRUE,  // bfMultiTask
  TRUE,  // bfReXmit
};


