/*
***************************************************************************
**              ROCKWELL CONFIDENTIAL AND PROPRIETARY
**        This source is the sole property of ROCKWELL Inc.
**    Reproduction or utilization of this source in whole or in 
**  part is forbidden without the written consent of ROCKWELL Inc.
***************************************************************************
**                 (c) Copyright ROCKWELL, INC. 1991
**                       All Rights Reserved
***************************************************************************
*/

/* 
**	Last PVCS update: $Date:   12 Sep 1992 14:49:52  $
*/

/*
**	TITLE: UMAIN.H
**
**	FACILITY: 
**
**	MODULE DESCRIPTION:
**
** 
**
*/

/*
**
**	Revision History:
**
**		$Log:   D:/api_lib/umain.h_v  $
   
      Rev 1.2   12 Sep 1992 14:49:52   Robert Chen
   
      Rev 1.1   16 Aug 1992 22:49:38   Robert Chen
   
      Rev 1.0   12 Aug 1992 20:07:24   Robert Chen
   Initial revision.
   
      Rev 1.0   26 May 1992 11:19:50   Robert Chen
   Initial revision.
   
      Rev 1.9   07 May 1992 11:09:38   Robert Chen
   New API Fromat
   
      Rev 1.8   28 Apr 1992 18:28:08   Robert Chen
    
   
      Rev 1.7   21 Apr 1992 16:38:42   Robert Chen
    
   
      Rev 1.6   08 Apr 1992 18:26:30   Robert Chen
    
   
      Rev 1.5   06 Apr 1992 14:46:00   Robert Chen
      
   
      Rev 1.4   02 Apr 1992  9:50:52   Robert Chen
      
   
      Rev 1.3   01 Apr 1992 15:00:04   Robert Chen
      
   
      Rev 1.2   30 Mar 1992  9:30:40   Robert Chen
      
   
      Rev 1.1   26 Mar 1992  9:19:50   Robert Chen
      
   
      Rev 1.0   24 Mar 1992 16:53:50   Robert Chen
   Initial revision.
**    $Revision:   1.2  $
**   
*/

enum VStateType
{
	AnsCD_Init_01,
	AnsCD_Init_02,
	AnsCD_SetVModeBaud_01,
	AnsCD_SetVModeBaud_02,
	AnsCD_00,
	AnsCD_01,
	AnsCD_02,
	AnsCD_02_05,
	AnsCD_03,
	AnsCD_04,
	AnsCD_04_05,
	AnsCD_05,
	AnsCD_06,
	AnsCD_07,
	AnsCD_08,
	AnsCD_09,
	AnsCD_PlayFile,
	AnsCD_RecordFile,
	AnsCD_TxFax,
	AnsCD_RxFax,
	AnsCD_Data_01,
	AnsCD_Data_02,
	AnsCD_Change_VBS_01,
	AnsCD_Change_VBS_02,
	AnsCD_Change_VSS_01,
	AnsCD_Change_VSS_02,
	DialOut_01,
	DialOut_01_05,
	DialOut_02,
	DialOut_03,
   ChangeVLS_01,
   ChangeVLS_02,
   ChangeVLS_03,
   ChangeVLS_04,
	AnsCD_IDLE,
	AnsCD_Last
};

enum USER_OPERATION
{
   U_OP_TELCO,
   U_OP_HANDSET,
   U_OP_SPEAKER,
   U_OP_MICROPHONE, 
   U_OP_HANDSPEAKER
};

struct USR_DATA_UMAIN
{
	char DoFax;
	char DoVoice;
	char ToneDetected;
	char TmpTone;
	char Done;
	char Operation;
	char Msg[30];
	char InitString[80];
	char DialString[30];
	char CMIdString[30];
	int CurrentState;
	int NextState;
	int RtnCode;
	int AnsCD;
	int TestVapi;
	struct VPS VoiceParmInfo;
	struct VTD ToneDetectionInfo;
	struct VPS TmpVoiceParmInfo;
	struct VTD TmpToneDetectionInfo;
};

extern int vcdmain(void);
extern void UStartCD(RVCALLBACK, int);
extern void UStartHandSet(void);
extern void UStartDial(char * string);
extern void UStartTestVapi(void);
extern int  UCDInProgress(void);
extern void SetUMNLast( void );
extern int vtestvapi(void);

