/*
***************************************************************************
**              ROCKWELL CONFIDENTIAL AND PROPRIETARY
**        This source is the sole property of ROCKWELL Inc.
**    Reproduction or utilization of this source in whole or in
**  part is forbidden without the written consent of ROCKWELL Inc.
***************************************************************************
**                 (c) Copyright ROCKWELL, INC. 1991
**                       All Rights Reserved
***************************************************************************
*/

/*
**      Last PVCS update: $ $
*/

/*
**      TITLE:      VCALLBK.H
**
**      FACILITY:       
**
**      MODULE DESCRIPTION:
**
**      
**
*/

/*
**
**      Revision History:
**
**              $Log:   D:/api_lib/vcallbk.h_v  $
   
      Rev 1.0   12 Aug 1992 20:07:36   Robert Chen
   Initial revision.
   
***************************************************************************/

extern int FAR PASCAL RVCallBack( int ID, long Parm);
extern int FAR PASCAL RVCallBackUMain( int ID, long Parm);
				   						  
extern RVCALLBACK         lpfnRVCallBack;

extern void FAR PASCAL CBReadConfig(void);
extern void FAR PASCAL CBWriteConfig(void);
extern void FAR PASCAL CBParseInput(char *str);

struct CallBackVar 
	{
		unsigned char  tag[30];
		unsigned int 	CMIdSize;
		int 			 	ErrCode;
		struct VPS		VoiceParmSetting;
		struct VTD		ToneDetectionMask;
		struct VCI		VoiceCapsInfo;
		unsigned	int	VCINumber;
		unsigned int	BaudRate;
		unsigned int	Class;
		unsigned int	CompressionMode;
		unsigned int	DCEMode;
		unsigned char 	DialString[30];
		unsigned char 	ToneString[30];
		unsigned char 	VoiceFileName[30]; 
		unsigned	char  CMIdString[50];
		unsigned int	WaitLimit;	
		unsigned char far *VoiceFiles[30];
		unsigned char far *CMIdStrings[30];
	};

extern struct CallBackVar CBV;
extern struct USR_DATA_UMAIN UMN;

