/*
***************************************************************************
**              ROCKWELL CONFIDENTIAL AND PROPRIETARY
**        This source is the sole property of ROCKWELL Inc.
**    Reproduction or utilization of this source in whole or in 
**  part is forbidden without the written consent of ROCKWELL Inc.
***************************************************************************
**                 (c) Copyright ROCKWELL, INC. 1991
**                       All Rights Reserved
***************************************************************************
*/

/* 
** Last update:   
**	Last PVCS update: $Date:   12 Aug 1992 20:06:50  $ 
*/

/*
**	TITLE:		rawclas1.h
**
**	FACILITY:
**    Windows Application Utility Functions
**
**	MODULE DESCRIPTION:
**    This header file defines the interface to the DLL RAWCLAS1.DLL which
**    contains assorted Windows application utilities, most notably the
**    generalized text I/O function, "wputs".
**
*/

/*
**
**	Revision History:
**
**		$Log:   D:/api_lib/rawclas1.h_v  $
   
      Rev 1.0   12 Aug 1992 20:06:50   Robert Chen
   Initial revision.
** 
**    Rev 1.4   17 Oct 1991 10:42:36   JIM
** Global update of T.30/T.4 API source for version 1.00.
** 
**    Rev 1.3   12 Sep 1991 11:20:10   JIM
** Global update of T.30/T.4 API source for version 0.22B.
** 
**    Rev 1.2   08 Aug 1991 18:49:08   JIM
** Update to facilitate single session DLL version of API.
** 
**    Rev 1.1   20 May 1991 09:14:18   JIM
** 
**    Rev 1.0   13 May 1991 10:02:50   JIM
** Initial Revision
** 
** 
*/
// File: rawdutl1.c
int   FAR PASCAL DisableMenuItems( HWND, BOOL, WORD );
BOOL  FAR PASCAL FileExists( HWND, LPSTR, LPSTR, WORD );
BOOL  FAR PASCAL FileValidate( HWND, LPSTR, LPSTR, WORD );
LPSTR FAR PASCAL fRightStr( LPSTR, WORD );
NPSTR FAR PASCAL RightStr( NPSTR, WORD );
int   FAR PASCAL ChkNumVal( HWND, int, LPSTR, LONG, LONG, int );
LPSTR FAR PASCAL AppendZero( LPSTR );
BOOL  FAR PASCAL IsFaxFile( LPSTR );
int   FAR PASCAL CheckCom( WORD );

extern HANDLE hInst;
extern char szTmpStr[ TMPSTRMAX ];
extern char szErrStr[ ERRSTRMAX ];
extern char szTmpStr0[ TMPSTRMAX * 2 ];
extern char szTmpStr1[ TMPSTRMAX ];
extern char szTmpStr2[ TMPSTRMAX ];
extern char szTmpStr3[ TMPSTRMAX ];
