/*
***************************************************************************
**              ROCKWELL CONFIDENTIAL AND PROPRIETARY
**        This source is the sole property of ROCKWELL Inc.
**    Reproduction or utilization of this source in whole or in
**  part is forbidden without the written consent of ROCKWELL Inc.
***************************************************************************
**                 (c) Copyright ROCKWELL, INC. 1991
**                       All Rights Reserved
***************************************************************************
*/

/*
**      Last PVCS update: $ $
*/

/*
**      TITLE:    ZAPICLS1.h   
**
**      FACILITY:       
**
**      MODULE DESCRIPTION:
**
**      
**
*/

/*
**
**      Revision History:
**
**              $Log:   D:/api_lib/zapicls1.h_v  $
   
      Rev 1.0   12 Aug 1992 20:07:58   Robert Chen
   Initial revision.
   
***************************************************************************/

// ALERT! Change the name of this file to ZAPIWIN1.H

// These functions must be defined as developer, Windows specific, and
// NOT called by the API. 

// File: rawwsio.c
int FAR PASCAL RZOpenCom( void );
int FAR PASCAL RZCloseCom( void );

// File: rawautl1.c
int  FAR PASCAL RZSetExtData( WORD, LONG );
LONG FAR PASCAL RZGetExtData( void );

// File: rawautl1.c
int  FAR PASCAL RFSetExtData( WORD, LONG );
LONG FAR PASCAL RFGetExtData( void );
int  FAR PASCAL RFGetSessCnt( void );

// File: rawvutl1.c
int  FAR PASCAL RVSetExtData( WORD, LONG );
LONG FAR PASCAL RVGetExtData( void );
int  FAR PASCAL RVGetSessCnt( void );

enum APIUserErrCodes
{
  RF_ERR_GEN_SESSINUSE=-28000,
  RF_ERR_GEN_SESSNOUSE,
  RF_ERR_GEN_INVCONTXT,
  RF_ERR_GEN_EXTDATA
};

// File: rawautl2.c
LONG FAR PASCAL FooTimer( BOOL, NPSTR );
int  FAR PASCAL UpdateCommState( DCB FAR * );
int  FAR PASCAL InitDCB( DCB FAR *, WORD );
int  FAR PASCAL CheckCommError( LPCOMSTAT, int );
WORD FAR PASCAL IsLogStat( WORD );

// Variables global to Windows modules within apiclas1.dll 
// (declared in rawautl1.c):
// RC_MOD
extern LPEXTDATA pExtData;
extern NPDCB     pCommDCB;

extern char szTmpStr[ TMPSTRMAX ];
extern char szErrStr[ ERRSTRMAX ];
extern char szTmpStr0[ TMPSTRMAX * 2 ];
extern char szTmpStr1[ TMPSTRMAX ];
extern char szTmpStr2[ TMPSTRMAX ];
extern char szTmpStr3[ TMPSTRMAX ];

